cutCases <- function(pmat, thisTime, ageClasses)
# calculates the prevalence in given ageclasses in a cross-section at thisTime
# pmat has one person per row, the columns are:
#         id, date of birth (dob), age of diagnosis (adi, NA if and only if w/o diagnosis), 
#         and age of death (ade)
# 
{
   aliveAtThisTime       <- (pmat[ ,2] + pmat[ ,4]) > thisTime #time of death later than thisTime?
   ageAtThisTime         <- thisTime - pmat[ , 2] 
   
   #if any diagnosis: time of diagnosis before thisTime?
   isPrevalentAtThisTime <- ifelse(is.na(pmat[ ,3]), FALSE, pmat[ ,3] + pmat[ ,2] < thisTime)

   return(table(isPrevalentAtThisTime[aliveAtThisTime],
                    cut(ageAtThisTime[aliveAtThisTime], ageClasses), dnn = c("isPrev", "age"))
         )
}