lineIntegral <- function(start, end, datArr, timeRes = 1)
# sample the line and calculate the line integral
# using the trapezoid rule
{
  smpldLine <- sampleLine(start, end, timeRes = timeRes)
  pts       <- smpldLine$points
  wghts     <- smpldLine$weights
  nPts      <- smpldLine$nIntersectedVoxels + 1
  
  intgrlVals <- numeric(nPts)
  for(ptNr in 2:nPts){
     intgrlVals[ptNr] <- intgrlVals[ptNr - 1] + 
                              0.5 * (  interpArray(as.numeric(pts[ , ptNr-1]), datArr, timeRes) + 
                                       interpArray(as.numeric(pts[ , ptNr  ]), datArr, timeRes)
                                     ) * wghts[ptNr - 1]
  }
  
  list( points = pts,
        values = intgrlVals)
}